# Raporları Listeler

## GET /Accounting

> Muhasebe raporlarını listeler.

```json
{"openapi":"3.0.1","info":{"title":"Report API","version":"v1"},"servers":[{"url":"/report"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ReportType":{"enum":["Invoice","Voucher","Producer"],"type":"string"},"AccountingReportResponsePagination":{"type":"object","properties":{"Page":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"TotalCount":{"type":"integer","format":"int32","nullable":true},"TotalPages":{"type":"integer","format":"int32","nullable":true,"readOnly":true},"Content":{"type":"array","items":{"$ref":"#/components/schemas/AccountingReportResponse"},"nullable":true}},"additionalProperties":false},"AccountingReportResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"Title":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"CreatedDate":{"type":"string","format":"date-time"},"Email":{"type":"string","nullable":true},"StartDate":{"type":"string","format":"date-time"},"EndDate":{"type":"string","format":"date-time"},"TemplateID":{"type":"integer","format":"int32"},"UUID":{"type":"string","nullable":true},"Status":{"type":"string","nullable":true},"Type":{"type":"integer","format":"int32"},"ReportType":{"$ref":"#/components/schemas/ReportType"}},"additionalProperties":false}}},"paths":{"/Accounting":{"get":{"tags":["Accounting"],"summary":"Muhasebe raporlarını listeler.","parameters":[{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Search","in":"query","schema":{"type":"string"}},{"name":"StartDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"ReportType","in":"query","schema":{"$ref":"#/components/schemas/ReportType"}}],"responses":{"200":{"description":"Muhasebe raporlarını listeler.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingReportResponsePagination"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/report/Accounting", Method.Get);
request.AddHeader("Authorization", "APIKEY");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/report/Accounting',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: 'https://apitest.nilvera.com/report/Accounting',
  headers: { 
    'Authorization': 'APIKEY'
  }
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}
{% endtabs %}
